# Class: NoteRevision

## NoteRevision(noteRevisionId, noteId, type, mime, title, content, isProtected, dateModifiedFrom, dateModifiedTo, utcDateModifiedFrom, utcDateModifiedTo)

NoteRevision represents snapshot of note's title and content at some point in the past. It's used for seamless note versioning.

## Constructor

#### new NoteRevision(noteRevisionId, noteId, type, mime, title, content, isProtected, dateModifiedFrom, dateModifiedTo, utcDateModifiedFrom, utcDateModifiedTo)

##### Parameters:

Name | Type | Description
--- | --- | ---
`noteRevisionId` | string |
`noteId` | string |
`type` | string |
`mime` | string |
`title` | string |
`content` | string |
`isProtected` | string |
`dateModifiedFrom` | string |
`dateModifiedTo` | string |
`utcDateModifiedFrom` | string |
`utcDateModifiedTo` | string |

Source:
  - entities/note_revision.js, line 24

### Extends

- Entity